"Cologne Blue" Skin no longer allows Quick Bar to float left or right
Closed, DeclinedPublic

Description

Author: flypie

Description:
The Skin Cologne Blue no longer seems to allow the Quick Bar to float left or right or be fixed right. Does anyone know who altered it? If no alterations what is happening


Version: 1.21.x
Severity: normal

bzimport added a project: MediaWiki-Interface.Via ConduitNov 22 2014, 1:05 AM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz41246.
bzimport created this task.Via LegacyOct 20 2012, 9:27 PM
Aklapper added a comment.Via ConduitOct 21 2012, 2:37 AM

Which Firefox version is this about?
What do you mean by quick bar exactly? Screenshot (without private data displayed) might be welcome.

matmarex added a comment.Via ConduitOct 21 2012, 11:34 AM

Quickbar = sidebar in other skins.

Yes, I did remove this option; I didn't think it might be useful, and it would hinder me in the skin revamp I've been doing – it's hard to support four modes of sidebar placement within a single skins without breaking stuff. Additionally, it required the styles for the skin to be split between multiple files, again hindering any modifications.

There are actually two things we're talking about now:

  • placing the sidebar to the left or to the right
  • allowing it's position to be fixed on-screen (that is, to make it not scroll with the content)

I guess the first could be added back if it's needed, but I'm hesitant to do this. The second, however, could cause troubles, as – especially with the toolbox added – the sidebar could become higher than the screen height, leaving part of it unaccessible.

(It was all removed in commit I8e029cdb.)

bzimport added a comment.Via ConduitOct 21 2012, 11:52 AM

flypie wrote:

Well it is useful.
I happen to be right handed and use it, but if having it on the left is for ergonomic reasons then someone who is left handed may prefer it on the right.
For editing pages where the content is greater the one screen it means scrolling back to the top to access the sidebar.
The idea that these might not be useful is frankly laughable. From a simple ergonomics POV It is a function that should in all skins. It's removal should have been discussed first, it's removal is the mark of a very inexperienced developer. The use interface is how people interact with the product but because it is not a source of new functionality it tends to be ignored by programmers. I say this with 25 years+ experience of software development, most programmers do not think of the user at all.

matmarex added a comment.Via ConduitOct 21 2012, 11:57 AM

Go ahead and fix it, then, you experienced developer you.

bzimport added a comment.Via ConduitOct 21 2012, 12:13 PM

flypie wrote:

I didn't break it. You did, you fix it. The process should simply be a mater of rolling back your idiotic changes.

matmarex added a comment.Via ConduitOct 21 2012, 12:15 PM

Feel free to. Anyone can get a gerrit account and submit changes for review. Being the experienced developer you are you should have no problems doing it.

(Had you actually looked at the link I've given, you'd have seen that I've made multiple improvements to CologneBlue during the last two weeks, and that there are further changes of mine pending.)

bzimport added a comment.Via ConduitOct 21 2012, 12:27 PM

flypie wrote:

You don't seem to get it do you broke the software, you fix it. If you worked for some one doing this you be in for a bollocking. Did you highlight you had broken cologne blue before submitting it. Did you even give the people who approved the code a clue as to what you had done.
How can I report this clown for being an irresponsible idiot, and get his edits removed.
He broke it he should fix it. Given the lack of understanding of user interface design and its importance I suggest he never be allowed to edit again unless the edits are checked by someone who understands that software is not a play ground for the developer.
I'm sure in a few years when he goes to high school he will see the error of his ways, but until then.

bzimport added a comment.Via ConduitOct 21 2012, 12:36 PM

flypie wrote:

Wonder boy Bartosz Dziewoński description of the change is "kill Quickbar nonsense" doesn't say removed functionality. Did put it up for discussion anywhere.

bzimport added a comment.Via ConduitOct 21 2012, 12:50 PM

flypie wrote:

and some suggest reading material. [http://www.id-book.com/secondedition/ Interaction Design: beyond human-computer interaction (2nd edition). ] and a course [http://www3.open.ac.uk/study/undergraduate/course/m364.htm Fundamentals of interaction design]

Aklapper added a comment.Via ConduitOct 21 2012, 6:37 PM

@pirate (flypie):

"Open Source" is not the same as "the developers must do my bidding." Everyone here wants to help, but no one else has any obligation to fix the issues you want fixed. Therefore, you should not act as if you expect someone to fix an issue by a particular date, or just because you disagree with a decision made by someone. Aggressive or repeated demands will not be received well and almost certainly diminish the impact and interest in your suggestions.

In this case, the developer explained his reasons for the code change in a neutral tone. Whether you agree or not on his reasons, personal attacks like "very inexperienced" or "idiotic" are not tolerable here.
Please stick to https://wikimediafoundation.org/wiki/Code_of_conduct_policy (especially the section "Treat other people with respect") in case you want to continue being active in this Bugzilla.
Again, you are free to discuss and question decisions, but not in this tone.

bzimport added a comment.Via ConduitOct 21 2012, 6:51 PM

flypie wrote:

I never claimed it was a case of the developer should do my bidding but deleting features without consideration is vandalism.

Rillke added a comment.Via ConduitOct 21 2012, 7:15 PM

(In reply to comment #3)

It's removal should have been discussed first

I admit that there is indeed a leak of communication (you know who is using the skin, so you could announce the change very targeted) and I agree with (p)irate that a good skin (all skins) should allow me placing the bar where I would like to have it. If there would be more flexibility within a skin, you could perhaps even drop 3 of them.

matmarex added a comment.Via ConduitOct 21 2012, 7:20 PM

On an unrelated note, there is currently a patchset pending that removes all built-in skins except Vector, Monobook, Modern and CologneBlue: Ia6d73c2d. It used to also remove CologneBlue, until I've rewritten it so it no longer sucks.

saper added a comment.Via ConduitOct 21 2012, 7:27 PM

Sorry for jumping in here, but it's no wonder it generates harsh reactions of users when arguments like "it sucks" or "it's obsolete" are used.

I would prefer if we have a proper discussion about issues and ways to solve them
and not just rewrite stuff because we can.

matmarex added a comment.Via ConduitOct 21 2012, 7:33 PM

By "it sucks" (or, in fact, "it sucked"), I've only really meant the state of its internals. And it *was* obsolete – for example not supporting the toolbox, or not being styling-friendly, or not being screen-readers-friendly – and hopefully now became slightly less so (but is still far from perfect, and I'm not done yet).

The removed functionality (which should really be talked about in two parts: the left-right sidebar and the fixed-floating sidebar, as they are independent and only merged in the UI) can be restored; however, I stated my reasons for removing it above, and heard no counterarguments yet. Persuade me or do it yourself (and then fix resulting bugs, which I believe are bound to appear).

Rillke added a comment.Via ConduitOct 21 2012, 7:43 PM

(In reply to comment #2)
concerning position:fixed

the sidebar could become higher than the screen height, leaving
part of it unaccessible

Then set the whole bar to height:100%, overflow:auto or similar. I am not an expert like other users and developers claim to be but it must be possible; or invent a better solution. Fixed toolbar has some advantages, e.g. when scripts adding their js-handler-links to the toolbox, you have a page with long text and discover that you now want to click the link. Result: You have to scroll towards top.

matmarex added a comment.Via ConduitOct 21 2012, 8:23 PM

Rainer, yes, this would kinda work – but only kinda, unfortunately. A better way could be position:fixed with bottom: and top: set (instead of setting height), since the sidebar doesn't span 100% of screen height (there is also the header / the logo / some other menus / stuff).

Still, the scrollbars this would generate would look ugly, and while you and I might now care, some people do; so this certainly shouldn't be the default. Also, this reduces the amount of screen estate allocated to the sidebar when you scroll down a little, and forces people to actually use that other scrollbar to reach their links, instead of the primary one. This could have detrimental effect on those who use keyboard for navigation, either due to disabilities or just because typing is faster (I do).

And, as you mentioned, this should be solved for all skins. I have once, years ago, written a user-script that would do this for Monobook on client-side – using a little pin icon that would toggle the sidebar being kept in place or scrollable, and that would hide the logo once you scrolled down, but it appears nlot to work anymore: https://pl.wikipedia.org/wiki/Wikipedysta:Matma_Rex/scrollNavigation.js

So, Rainer – please file a new bug, and CC me on it – I might have a go at it when I have time. (Or possibly post to wikitech-l, since, as it was noted in the discussion below, this might warrant further debate.)

bzimport added a comment.Via ConduitOct 22 2012, 9:45 PM

flypie wrote:

"I stated my reasons for removing it above, and heard no counterarguments yet." Your reasons are that you do not uses, and you are only interested in maintaining code that you use.

gerritbot added a comment.Via ConduitApr 6 2013, 3:14 PM

Related URL: https://gerrit.wikimedia.org/r/57846 (Gerrit Change I5e6f7d48d6904a052a3a11547d3ebe6161463018)

matmarex added a comment.Via ConduitApr 6 2013, 3:18 PM

This is a WONTFIX. This feature doesn't justify the time expense that would be necessary to keep it existing in this one skin.

Sadly, I'm the only maintainer of CologneBlue, and I'm not maintaining this.

(Change I5e6f7d48 untangles the technical innards of MediaWiki to get rid of dead code.)

bzimport added a comment.Via ConduitApr 6 2013, 4:40 PM

flypie wrote:

Your the vandal that removed the code that did it. Without asking, you should not be allowed to maintain code, as you a clearly not interested in the users. This functionality should be added to all skins.

matmarex added a comment.Via ConduitApr 6 2013, 5:27 PM

Thank you for your understanding.

(In reply to comment #21)

This functionality should be added to all skins.

Feel free to hire someone to do that.

bzimport added a comment.Via ConduitApr 6 2013, 5:32 PM

flypie wrote:

You should put back the code you removed.

Qgil added a comment.Via ConduitApr 6 2013, 6:18 PM

pirate, some people like Bartosz are putting plenty of volunteering hours to maintain the software you use freely and for free. I understand you miss a feature that has been removed, but you must also understand that such feature was in the way of other fixes that the maintainer applied. Software architecture is like... architecture: you can't just add floors and windows without taking other elements into consideration.

From the point of view of the maintainers this discussion is not about BlueCologne. Among the MediaWiki skins supported in Wikimedia sites, no one supports Quick Bar to float left or right. Users of the default Vector skin don't have this feature either.

What now? In a collaborative, open source project the only sensible option for a user like you is to open an enhancement request, find other users with a common interest, argument and lobby for it. Convince a developer to propose an implementation that would work, and to work on it. As other have explained, this developer can be anybody, not necessarily the maintainers.

Not easy? I agree. But it's not easy for a volunteer maintainer to support several skins, catching up with the platform's new and deprecated features and with the different expectations of hundreds of users reporting problems just like you.

Thank you for your understanding. I'm going to re-establish the WONTFIX resolution of the maintainer. Please don't reopen this report again. Instead, open a new enhancement request. Thank you.

(In reply to comment #10)

@pirate (flypie):

"Open Source" is not the same as "the developers must do my bidding."
Everyone
here wants to help, but no one else has any obligation to fix the issues you
want fixed. Therefore, you should not act as if you expect someone to fix an
issue by a particular date, or just because you disagree with a decision made
by someone. Aggressive or repeated demands will not be received well and
almost
certainly diminish the impact and interest in your suggestions.

In this case, the developer explained his reasons for the code change in a
neutral tone. Whether you agree or not on his reasons, personal attacks like
"very inexperienced" or "idiotic" are not tolerable here.
Please stick to https://wikimediafoundation.org/wiki/Code_of_conduct_policy
(especially the section "Treat other people with respect") in case you want
to
continue being active in this Bugzilla.
Again, you are free to discuss and question decisions, but not in this tone.

bzimport added a comment.Via ConduitApr 6 2013, 8:03 PM

flypie wrote:

I have reopened it. He might put time in but he is doing it for his own not in the interests of the project. He neither asked, discussed or headed anyone else he did what he wanted. That is not an attitude that can be sustained on a collaborative projects.
If you do want to take out floor and windows them you ask whether the that is acceptable, to the client, you do not think, I'm the architect I will do as I see fit. There is a need for balance in making the decisions and there was non in this, it was simply his want. He never even though to disclose it before he submitted it, all the rules of collaboration and cooperation flaunted and his reasons "I couldn't see a use for it".
What software development is doing the hard bits not just the bits you like. I have treated him with farm more respect than he has treated anyone else arrogantly doing what he likes.
I've changed it back to Open because that is what it is.

matmarex added a comment.Via ConduitApr 6 2013, 8:12 PM

The alternative to my maintenance was the skin getting removed together with the other five (https://meta.wikimedia.org/wiki/Turning_off_outdated_skins), and I'm starting to think it would have been a much better idea, as at least it wouldn't be me having to deal with you.

Aklapper added a comment.Via ConduitApr 7 2013, 12:04 AM

flypie@rocketmail.com: Please understand the reasons elaborated by the maintainer why this will not get fixed and do not reopen this report again.
This is your last warning.

With regard to your comment 21, I'd like to point to https://wikimediafoundation.org/wiki/Code_of_conduct_policy and request you to read and understand it, before any further activity in bugzilla.wikimedia.org. Thanks.

bzimport added a comment.Via ConduitApr 7 2013, 12:30 AM

flypie wrote:

Which point of them am I breaking the maintainer hasn't treated anyone with respect he has simply done as he likes, without asking and without notifying anyone. He is quiet clearly in breach of the Code of conduct, so what are you going to do about it? The reasons given are "I didn't think it might be useful" his explanations after that are rather pathetic.
I do not want his edits and prefer not to have to use them as I cannot see they have benefited anyone.
and Andre Klapper this is your last warning.

Aklapper added a comment.Via ConduitApr 7 2013, 1:00 AM

User account disabled due to ignoring the code of conduct and ignoring several warnings (comment 10, comment 27).

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.